Subject: zeroconf == linklocal ?

From: "Nicolae, Dan" <[email-masked]>
Date: Wed, 16 Aug 2000 14:32:16 -0400

> 
> This presumption that all of the devices on a
> ZC-based small network will be on the SAME link
> using only ONE interface technology doesn't seem
> very safe for postulating requirements.
> 
...
> 
> It also helps if a host has only one interface, i.e., is NOT
> multihomed. For multihomed hosts, you run into the problem that when
> sending to a particular given link-local address, you don't know which
> interface to send the packet out on.
> 
...

Multihoming also covers hosts with a single physical interface but multiple
IP addresses. STD3 RFC1122 section 3.3.4. discusses flavors of Local
Multihoming. [It is interesting to note that the concept of Logical
Multihoming, where there is a single physical network (linklocal) but
multiple logical networks, does not necessarily involve the presence of
routers.]

Provided that AutoIP may coexist with DHCP, multihoming considerations are
de-facto influencing zeroconf requirements.

~~~

But I actually wanted to ask a different question:

Is ZeroConf WG concerned at all with requirements that go beyond linklocal?
(I should better say direct communication instead of linklocal: no routers.)

Can requirements be split (and prioritized) in "linklocal" and
"non-linklocal"?

>
> As long as the scope is just one of two cases -- either "link-local" or 
> "everything else" -- he said it should not be too hard.
>

Thanks,
/dan